Ruby 2.0.0-preview1 and Rails HEAD failing to `bundle install` #8136

Closed
jroes opened this Issue Nov 7, 2012 · 7 comments

Projects

None yet

3 participants

@jroes
Contributor
jroes commented Nov 7, 2012

Also tried with gem install bundler --pre with same results.

jroes src$ ruby -v
ruby 2.0.0dev (2012-11-01 trunk 37411) [x86_64-darwin12.2.0]
jroes src$ bundle -v
Bundler version 1.2.1
jroes src$ gem -v
1.8.24
jroes src$ ruby rails/railties/bin/rails new testapp --dev
 # -- snip -- 
         run  bundle install
/Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/2.0.0/psych.rb:205:in `parse': (<unknown>): mapping values are not allowed in this context at line 8 column 35 (Psych::SyntaxError)
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/2.0.0/psych.rb:205:in `parse_stream'
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/2.0.0/psych.rb:153:in `parse'
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/2.0.0/psych.rb:129:in `load'
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/2.0.0/rubygems/specification.rb:491:in `from_yaml'
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/gems/2.0.0/gems/bundler-1.2.1/lib/bundler.rb:294:in `block in load_gemspec_uncached'
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/gems/2.0.0/gems/bundler-1.2.1/lib/bundler.rb:291:in `chdir'
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/gems/2.0.0/gems/bundler-1.2.1/lib/bundler.rb:291:in `load_gemspec_uncached'
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/gems/2.0.0/gems/bundler-1.2.1/lib/bundler.rb:282:in `load_gemspec'
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/gems/2.0.0/gems/bundler-1.2.1/lib/bundler/source.rb:411:in `block in load_spec_files'
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/gems/2.0.0/gems/bundler-1.2.1/lib/bundler/source.rb:410:in `each'
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/gems/2.0.0/gems/bundler-1.2.1/lib/bundler/source.rb:410:in `load_spec_files'
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/gems/2.0.0/gems/bundler-1.2.1/lib/bundler/source.rb:381:in `local_specs'
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/gems/2.0.0/gems/bundler-1.2.1/lib/bundler/source.rb:388:in `specs'
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/gems/2.0.0/gems/bundler-1.2.1/lib/bundler/definition.rb:491:in `block in converge_locked_specs'
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/gems/2.0.0/gems/bundler-1.2.1/lib/bundler/definition.rb:480:in `each'
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/gems/2.0.0/gems/bundler-1.2.1/lib/bundler/definition.rb:480:in `converge_locked_specs'
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/gems/2.0.0/gems/bundler-1.2.1/lib/bundler/definition.rb:166:in `resolve'
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/gems/2.0.0/gems/bundler-1.2.1/lib/bundler/definition.rb:113:in `specs'
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/gems/2.0.0/gems/bundler-1.2.1/lib/bundler/definition.rb:108:in `resolve_remotely!'
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/gems/2.0.0/gems/bundler-1.2.1/lib/bundler/installer.rb:81:in `run'
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/gems/2.0.0/gems/bundler-1.2.1/lib/bundler/installer.rb:14:in `install'
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/gems/2.0.0/gems/bundler-1.2.1/lib/bundler/cli.rb:230:in `install'
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/gems/2.0.0/gems/bundler-1.2.1/lib/bundler/vendor/thor/task.rb:27:in `run'
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/gems/2.0.0/gems/bundler-1.2.1/lib/bundler/vendor/thor/invocation.rb:120:in `invoke_task'
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/gems/2.0.0/gems/bundler-1.2.1/lib/bundler/vendor/thor.rb:275:in `dispatch'
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/gems/2.0.0/gems/bundler-1.2.1/lib/bundler/vendor/thor/base.rb:408:in `start'
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/gems/2.0.0/gems/bundler-1.2.1/bin/bundle:14:in `block in <main>'
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/gems/2.0.0/gems/bundler-1.2.1/lib/bundler/friendly_errors.rb:4:in `with_friendly_errors'
    from /Users/jroes/.rbenv/versions/2.0.0-preview1/lib/ruby/gems/2.0.0/gems/bundler-1.2.1/bin/bundle:14:in `<main>'
Unfortunately, a fatal error has occurred. Please see the Bundler 
troubleshooting documentation at http://bit.ly/bundler-issues. Thanks! 
@rafaelfranca
Member

I don't think this is a Rails issue. Can be in Ruby, Psych or bundler. But I didn't see anything related to rails in this stacktrace.

@jroes
Contributor
jroes commented Nov 7, 2012

@rafaelfranca was thinking it might be the actual YAML file being parsed itself, perhaps?

@rafaelfranca
Member

The YAML file being parsed is the Rubygems specification. It is still not related with Rails. But I think we had this issue yesterday. I'll investigate

@rafaelfranca
Member

@jroes this is a bundler issues fixed here bundler/bundler@d1b6ced

I don't know when the bundle guys will do one release with this fix.

cc/ @indirect @hone

Thank you for reporting.

@carlosantoniodasilva

This is a bundler issue, it has been fixed in bundler a few days ago: bundler/bundler@d1b6ced

@jroes
Contributor
jroes commented Nov 7, 2012

Ah, thanks! Sorry for the misplaced report.

@carlosantoniodasilva

😄

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment